# OgreSharedPtr.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::SharedPtr< T >
| Reference-counted shared pointer, used for objects where implicit destruction is required. More...

## Enumerations

enum | Ogre::SharedPtrFreeMethod { Ogre::SPFM_DELETE, Ogre::SPFM_DELETE_T, Ogre::SPFM_FREE }
| The method to use to free memory on destruction. More...

## Functions

template<class T, class U>
bool | Ogre::operator== (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | Ogre::operator!= (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | Ogre::operator< (SharedPtr< T > const &a, SharedPtr< U > const &b)

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:09 2009